package org.processmining.acceptingpetrinet.parameters;

import org.processmining.basicutils.parameters.impl.PluginParametersImpl;

public class MergeAcceptingPetriNetArrayIntoAcceptingPetriNetParameters extends PluginParametersImpl {

	private boolean addWFPlaces = false;

	public MergeAcceptingPetriNetArrayIntoAcceptingPetriNetParameters() {
		super();
		setAddWFPlaces(false);
	}
	
	public MergeAcceptingPetriNetArrayIntoAcceptingPetriNetParameters(MergeAcceptingPetriNetArrayIntoAcceptingPetriNetParameters parameters) {
		super(parameters);
		setAddWFPlaces(parameters.isAddWFPlaces());
	}
	
	public boolean equals(Object object) {
		if (object instanceof MergeAcceptingPetriNetArrayIntoAcceptingPetriNetParameters) {
			MergeAcceptingPetriNetArrayIntoAcceptingPetriNetParameters parameters = (MergeAcceptingPetriNetArrayIntoAcceptingPetriNetParameters) object;
			return super.equals(parameters) && isAddWFPlaces() == parameters.isAddWFPlaces();
		}
		return false;
	}

	public void setAddWFPlaces(boolean addWFPlaces) {
		this.addWFPlaces = addWFPlaces;
	}

	public boolean isAddWFPlaces() {
		return addWFPlaces;
	}
}
